Welcome to the Help Center

Follow

When I am trying to pair my watch, I get the message "FAILED".

If you are using an iPhone 3GS, iPhone 4, iPad or an older device, be advise that pairing won't be possible.

Why ?

Just like most activity trackers available on the market, ZeFit2 is only compatible with Select iOS 7+ devices that support Bluetooth 4.0 connectivity. Previous iOS version cannot well support the transmission of data via Bluetooth, this is why BLE + iOS 7+ are required.  

Solution :

In order to allow everyone to use ZeFit2, we have developped a PC/MAC software that you can download here. The software will allow you to synchronize your data and configure the watch.

Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request

Comments